<?php

namespace app\commands;

use yii\console\Controller;
use yii\console\ExitCode;

use app\models\connection\Dellin;

class DellinController extends Controller
{
    /**
     * Импортировать города из ДеловыеЛинии
     */
    public function actionImportCities()
    {
        if (Dellin::importCities()) {
            return ExitCode::OK;
        }

        return ExitCode::UNSPECIFIED_ERROR;
    }

    /**
     * Импортировать терминалы из ДеловыеЛинии
     */
    public function actionImportTerminals(?int $account = null)
    {
        if (Dellin::importTerminals($account)) {
            return ExitCode::OK;
        }

        return ExitCode::UNSPECIFIED_ERROR;
    }
}
